Bug 1489197 - EPEL moodle-3.1.x must use bundled php-pear-HTML*
Summary: EPEL moodle-3.1.x must use bundled php-pear-HTML*
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: moodle
Version: epel7
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-06 23:47 UTC by Cristian Martinez
Modified: 2017-10-06 15:18 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-10-06 15:18:28 UTC


Attachments (Terms of Use)

Description Cristian Martinez 2017-09-06 23:47:15 UTC
Description of problem:
The EPEL package for Moodle doesn't use the bundled php-pear-HTML* code. This problem was fixed in the Fedora package

https://src.fedoraproject.org/rpms/moodle/c/22b1215f5ef5c756adb832c24fbb1eb89eb167ce?branch=master

but it's still present in the EPEL package, and it causes many failures for its users, as shown in

https://tracker.moodle.org/browse/MDL-57335
https://moodle.org/mod/forum/discuss.php?d=357091

Version-Release number of selected component (if applicable):
3.1.7-1.el7.noarch

How reproducible:
Always

Steps to Reproduce:
1. Install the latest moodle version from EPEL
2. After creating a new course, try to edit it
3. Try to use competencies (Site administration > Competencies > Competencies settings > Enable competencies)

Actual results:
* Moodle produces an Error 500 when users try to edit course information
* Moodle produces an Error 500 when competencies are enabled

Expected results:
* Users should be able to edit course information
* Users should be able to use competencies

Additional info:

Comment 1 Fedora Update System 2017-09-07 17:32:27 UTC
moodle-3.1.7-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-ae10795cdf

Comment 2 Fedora Update System 2017-09-08 21:48:22 UTC
moodle-3.1.7-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-ae10795cdf

Comment 3 Fedora Update System 2017-09-20 16:21:03 UTC
moodle-3.1.8-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-8da6477f0a

Comment 4 Fedora Update System 2017-09-22 05:50:22 UTC
moodle-3.1.8-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-8da6477f0a

Comment 5 Fedora Update System 2017-10-06 15:18:28 UTC
moodle-3.1.8-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.